#include <stdio.h>
#include <signal.h>
#include "sherlock.h"

extern FILE *corr_resfp;

/*Ensure that Sherlock cleans up after itself.

  Inputs:  none
  Outputs: errno      - number of last error encountered, equals 0 if no error
  Locals:  none
  Globals: child      - PID of child (timer) process
	   corr_resfp - file pointer to correlation graph data
	   errno      - number of last error encountered, equals 0 if no error
	   SIGINT     - interrupt signal telling the child process to shutdown
*/
cleanup()
{
	/*If there is a child process, tell it to gracefully shutdown*/
	if(child != -1) kill(child,SIGINT);

	/*Write out xvgr graphing commands to correlation graph file*/
	xvgr_commands(corr_resfp,"Search Index","Correlation");

	fclose(corr_resfp);

	/*Exit with the last error encountered, if no error, exit with 0
	  status*/
	exit(errno);
}

