/*Error codes.  Even though, showing the version number (-v option) isn't
  strictly an error, it's put here since it basically takes the same action
  as an error.  It writes a message and quits.  Sherlock exits with the code
  number of the error.  For this reason, it's important that "showing the
  version" is defined as 0 (since it's not really an error, Sherlock should
  exit with a status of 0).

  Unix system error messages go to 90 (at least for SunOS 4.1.[12] they do)
  so we start Sherlock specific error messages at 100.
*/

#define ERROR_START	100		/*Start of Sherlock specific errors*/

#define SHOW_VERSION	0		/*Show version number*/
#define EUSAGE		ERROR_START+0	/*Show usage message*/
#define ENOIMAGE	ERROR_START+1	/*Missing "-i" option*/
#define ENODEPTH	ERROR_START+2	/*Display has less than 8 planes*/
#define ENONAME		ERROR_START+3	/*Filename wasn't given*/
#define EBADFORMAT	ERROR_START+4	/*Image is in an unknown format*/
#define ETOOBIG		ERROR_START+5	/*Pattern has to be <= image*/
#define ENOPATTERN	ERROR_START+6	/*No pattern in memory*/

/*Types of errors*/
#define FATAL	0			/*Fatal error, quit*/
#define WARNING	1			/*Warning, return to program*/

