%{
#include <stdio.h>
#include "sherlock.h"

extern int linenum;
%}

%union
{
	int inum;
	long lnum;
	char *string;
}

%token CROP_CMD EXIT_CMD INVERT_CMD LOAD_CMD RUN_CMD SAVE_CMD SEED_CMD SLEEP_CMD
%token <inum> ALGORITHM TYPE DECISION
%token <lnum> LONG
%token <string> SHELL_ESCAPE_CMD STRING

%%
line:
		| line '\n'				{ wrapup_line(); }
		| line command				{ wrapup_line(); }
		;
command:	  error '\n'				{ yyerrok; }
		| CROP_CMD LONG LONG LONG LONG '\n'	{ crop($2,$3,$4,$5); }
		| EXIT_CMD '\n'				{ YYACCEPT; }
		| INVERT_CMD TYPE DECISION '\n'		{ invert_bias[$2] = $3;}
		| LOAD_CMD TYPE STRING '\n'		{ loadfile($2,$3); }
		| RUN_CMD ALGORITHM '\n'		{ runalg($2); }
		| SAVE_CMD TYPE STRING '\n'		{ savefile($3); }
		| SEED_CMD '=' '?' '\n'			{ info.seed = -1; };
		| SEED_CMD '=' LONG '\n'		{ info.seed = $3; };
		| SHELL_ESCAPE_CMD '\n'			{ shell_escape($1); }
		| SLEEP_CMD LONG '\n'			{ sleep($2); }
		;	
%%

/*This function is called when yacc has an error in parsing.
*/
yyerror()
{
	if(isbitset(BATCHFILE))
	  printf("\n%s: syntax error on line %d",program,linenum);
	else fputs("*** syntax error ***\n",stderr);
}

wrapup_line()
{
	++linenum;

	prompt();
}

