#include <stdio.h>
#include <string.h>
#include "ui_globals.h"
#include "sherlock.h"
#include "error.h"

/*Main starting point for Sherlock.

  Inputs:  argc      - number of command line arguments
	   argv      - command line arguments
  Outputs: none
  Locals:  fp        - file pointer to file containing batch commands
  Globals: errno     - number of last error encountered
	   frame     - UI window handles
	   program   - name of currently executing program
	   BATCHMODE - flag bit indicating Sherlock is running in batch mode
	   FATAL     - error is fatal, program will terminate
	   IMAGE     - reference the image element of an array
	   NULL      - 0
*/
main(argc,argv)
register int argc;
register char *argv[];
{
	register FILE *fp;
	FILE *init();

	/*Get name of currently executing program*/
	if((program = strdup(argv[0])) == NULL)
	  error(FATAL,errno);

	/*Intialize the world*/
	fp = init(argc,argv);

	/*Either process batch commands, or go into xview's main loop*/
	if(isbitset(BATCHMODE)) batchmode(fp);
	else xv_main_loop(frame[IMAGE]);

	cleanup();
}

