#define YMAX_VIEW 0.85		/*Maximum Y coordinate in viewport coords*/
#define YMIN_VIEW 0.20		/*Minimum Y coordinate in viewport coords*/

#define LEGEND_PATTERN_FILL 6	/*Pattern to fill legend*/
#define LEGEND_X 0.06		/*Legend X coordinate (in viewport coords)*/
#define LEGEND_Y 0.13		/*Legend Y coordinate (in viewport coords)*/

/*Macros to write XVGR commands*/
#define set_autoscale(fp) (fputs("@autoscale\n",fp))
#define set_color(fp,setnum) (fprintf(fp,"@s%d color %d\n",setnum,setnum + 1))
#define set_legend(fp) (fputs("@legend on\n",fp))
#define set_legend_box(fp) (fputs("@legend box on\n",fp))
#define set_legend_box_fill(fp) (fputs("@legend box fill on\n",fp))
#define set_legend_box_fill_method(fp) (fputs("@legend box fill with pattern\n",fp))
#define set_legend_box_fill_pattern(fp) (fprintf(fp,"@legend box fill pattern %d\n",LEGEND_PATTERN_FILL))
#define set_legend_coord(fp,coord,num) (fprintf(fp,"@legend %s %f\n",coord,num))
#define set_legend_string(fp,setnum,label) (fprintf(fp,"@legend string %d \"%s\"\n",setnum,label))
#define set_subtitle(fp,subtitle) (fprintf(fp,"@subtitle \"%s\"\n",subtitle))
#define set_tick(fp,axis) (fprintf(fp,"@%s tick on\n",axis))
#define set_tick_format(fp) (fputs("@yaxis ticklabel format general\n",fp))
#define set_title(fp,title) (fprintf(fp,"@title \"%s\"\n",title))
#define set_xaxis_label(fp,string) (fprintf(fp,"@xaxis label \"%s\"\n",string))
#define set_xaxis_tick_label_format(fp) (fputs("@xaxis ticklabel format general\n",fp))
#define set_xaxis_tick_major(fp,num) (fprintf(fp,"@xaxis tick major %d\n",num))
#define set_xaxis_tick_minor(fp,num) (fprintf(fp,"@xaxis tick minor %d\n",num))
#define set_yaxis_label(fp,string) (fprintf(fp,"@yaxis label \"%s\"\n",string))
#define set_y_viewport(fp) (fprintf(fp,"@view ymin %f\n@view ymax %f\n",YMIN_VIEW,YMAX_VIEW))

